From: "Kent Fredric" <kentnl@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/ExtUtils-LibBuilder/
Date: Thu, 20 Aug 2020 07:08:56 +0000 (UTC) [thread overview]
Message-ID: <1597907297.f1f9261c636a5f4cc858f31dd2d1134dad053a61.kentnl@gentoo> (raw)
commit: f1f9261c636a5f4cc858f31dd2d1134dad053a61
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 20 07:07:45 2020 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Thu Aug 20 07:08:17 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1f9261c
dev-perl/ExtUtils-LibBuilder: -r bump for EAPI7 + toolchain love
- EAPI7
- Fix license
- Unconditionally remove bad tests
- Prevent breakage by LD!=ccld in ENV (this *may* fix bug #737304, but
my replication presented rather differently, so testing to confirm is
needed)
Bug: https://bugs.gentoo.org/737304
Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>
.../ExtUtils-LibBuilder-0.80.0-r1.ebuild | 39 ++++++++++++++++++++++
1 file changed, 39 insertions(+)
diff --git a/dev-perl/ExtUtils-LibBuilder/ExtUtils-LibBuilder-0.80.0-r1.ebuild b/dev-perl/ExtUtils-LibBuilder/ExtUtils-LibBuilder-0.80.0-r1.ebuild
new file mode 100644
index 00000000000..bfe9f737d14
--- /dev/null
+++ b/dev-perl/ExtUtils-LibBuilder/ExtUtils-LibBuilder-0.80.0-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=AMBS
+DIST_VERSION=0.08
+
+inherit perl-module
+
+DESCRIPTION="A tool to build C libraries"
+# https://rt.cpan.org/Ticket/Display.html?id=133195
+LICENSE="|| ( Artistic GPL-1 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=virtual/perl-ExtUtils-CBuilder-0.230.0
+ virtual/perl-File-Spec
+ virtual/perl-File-Temp
+"
+DEPEND="dev-perl/Module-Build"
+BDEPEND="${RDEPEND}
+ >=dev-perl/Module-Build-0.420.0
+ test? (
+ virtual/perl-Test-Simple
+ )
+"
+PERL_RM_FILES=(
+ "t/pod.t"
+ "t/pod-coverage.t"
+)
+src_configure() {
+ unset LD
+ [[ -n "${CCLD}" ]] && export LD="${CCLD}"
+ perl-module_src_configure
+}
next reply other threads:[~2020-08-20 7:08 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-08-20 7:08 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-11 2:40 [gentoo-commits] repo/gentoo:master commit in: dev-perl/ExtUtils-LibBuilder/ Ionen Wolkens
2024-06-23 17:47 Arthur Zamarin
2024-06-20 15:07 Ionen Wolkens
2024-06-15 6:18 Viorel Munteanu
2024-06-14 18:05 Sam James
2024-05-28 18:23 Arthur Zamarin
2024-05-26 6:06 Arthur Zamarin
2023-06-21 6:05 Sam James
2021-10-26 1:21 Yixun Lan
2021-05-28 21:30 Andreas K. Hüttel
2021-05-28 21:30 Andreas K. Hüttel
2021-05-02 22:06 Sergei Trofimovich
2017-06-15 16:27 Markus Meier
2017-04-28 21:20 Manuel Rüger
2017-04-23 10:27 Agostino Sarubbo
2017-03-11 21:46 Andreas Hüttel
2017-03-11 21:46 Andreas Hüttel
2016-12-08 19:09 Kent Fredric
2016-08-06 17:42 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1597907297.f1f9261c636a5f4cc858f31dd2d1134dad053a61.kentnl@gentoo \
--to=kentnl@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox